package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingItemdiscountActivityDeleteRequest struct {
	/*
	   删除活动参数     */
	Param *domain.AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingItemdiscountActivityDeleteRequest) SetParam(v domain.AlibabaRetailMarketingItemdiscountActivityDeleteItemDiscountActivityOperateRequest) *AlibabaRetailMarketingItemdiscountActivityDeleteRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingItemdiscountActivityDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingItemdiscountActivityDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
